Subject: Re: [PATCH] ci(dockerized): do show the result of failing tests again

From: Junio C Hamano <[email-masked]>
Date: Sat, 22 Nov 2025 18:41:06 -0800

Junio C Hamano <[email-masked]> writes:

>> The solution is simple: make the file world-writable.
>
> I expected to see a+w not o+w from this statement; as long as it
> works I have no strong objections, but if I saw o+w without the
> above explanation I would probably have wondered who are in the
> group that we do not want this file touched by.
> ...
>>      - run: useradd builder --create-home
>>      - run: chown -R builder .
>> -    - run: sudo --preserve-env --set-home --user=builder ci/run-build-and-tests.sh
>> +    - run: chmod o+w $GITHUB_ENV && sudo --preserve-env --set-home --user=builder ci/run-build-and-tests.sh
>>      - name: print test failures

Unless I hear that "user X belongs to the same group as our user
that runs 'chmod' on $GITHUB_ENV, and we do not want that user to be
writing into the file", I'll amend the patch text to match the
"solution" described in the proposed log message to "chmod a+w",
before we mark the topic for 'next'.

Thanks.